﻿# coding: utf-8

from ctypes import *



#connect to vu, return 0 if connection is ok, -1 otherwise
def VuConnect():
    global vu
    vu = windll.LoadLibrary("vudll.dll")
    r=vu.VuConnect()
    vu.VuRead.restype=c_float
    return r

#read an item from vu
def VuRead(item):
    i=c_char_p(item)
    r=vu.VuRead(i)
    return r


#write an item to vu
def VuWrite(item,value):
    i=c_char_p(item)
    f=c_float(value)
    r=vu.VuWrite(i,f)
    return r

